<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui">
    <h:head>
        <title>Inicio de sesión</title>
        <h:outputStylesheet name="bootstrap/css/bootstrap.min.css" />
        <h:outputStylesheet name="bootstrap/css/login.css" />
    </h:head>
    <h:body>
        <p:growl id="msj"/>
        <div class="container">      
            <div class="d-flex justify-content-center h-100">
                <div class="card" >
                    <div class="card-body">
                        <h:form class="head-form" >
                            <div class="d-flex justify-content-center links text-white">
                                <h2>Inicio de Sesión</h2>
                            </div>
                            <br/>
                            <div class="input-group form-group  justify-content-center">
                                <div class="input-group-prepend">
                                    <span class="input-group-text"><i class="fa fa-user"  /></span>
                                </div>
                                <p:inputText style="width: 75%" placeholder="Usuario" value="#{usuarioController.usuario.usuario}" required="true"/>                     
                            </div>
                            
                            <br/>
                            
                            <div class="input-group form-group  justify-content-center">
                                <div class="input-group-prepend">
                                    <span class="input-group-text"><i class="fa fa-key"></i></span>
                                </div>
                                <p:password style="width: 75%" size="36" placeholder="Contraseña" value="#{usuarioController.usuario.clave}" required="true"/>
                            </div>
                            <br/>
                            <div id="entrar" class="form-group">
                                <p:commandButton value="Iniciar Sesión" action="#{usuarioController.iniciarSesion}" update="msj"/>                                
                            </div>        
                        </h:form>
                    </div>
                    <div class="card-footer">
                        <div class="d-flex justify-content-center">
                            <a href="#">¿Olvidaste tu contraseña?</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <h:outputScript name="bootstrap/js/bootstrap.min.js" />
        <script src="resources/bootstrap/jquery-3.3.1.slim.min.js" type="text/javascript"></script>
    </h:body>
</html>